## Created by Anjuta

DIRS =  $(shell ls -l | awk 'BEGIN{total =""} /^d/{ total = sprintf ("%s %s",total,$$NF) } END{print total}')
MAKEFILE = Makefile

all:
	@for dir in $(DIRS); do \
		if test -f ./$$dir/$(MAKEFILE)  ; then \
		make -C $$dir || exit $?; \
		fi \
	done

clean:
	@for dir in $(DIRS); do \
		if test -f ./$$dir/$(MAKEFILE) ; then \
		make -C $$dir  clean; \
		fi \
	done

.PHONY: all
.PHONY: count
.PHONY: clean
